List cards for a user
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"status": "active",
"last4": "4242",
"isPinSet": false,
"displayName": "Jane Doe Card",
"cardType": "virtual",
"expirationMonth": "12",
"expirationYear": "2028",
"limit": {
"amount": 500000,
"frequency": "per24HourPeriod"
}
}
]
}Cards
List cards for a user
Returns all cards issued to one scoped end user. The response contains card metadata only. Use GET /cards//secrets for encrypted PAN and CVC retrieval.
GET
/
api
/
v1
/
cards
/
users
/
{userId}
List cards for a user
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440002",
"status": "active",
"last4": "4242",
"isPinSet": false,
"displayName": "Jane Doe Card",
"cardType": "virtual",
"expirationMonth": "12",
"expirationYear": "2028",
"limit": {
"amount": 500000,
"frequency": "per24HourPeriod"
}
}
]
}